*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;

    font-family: 'Poppins', sans-serif;
}

.hero__section{
    background: url(images/heroSectionBackground.png);
    background-position: center;
    background-size: cover;
    color: white;
    min-height: 60vh;
}

.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 48px;
    height: 60px;
}

.navbar a{
    text-decoration: none;
    color: white;
    /*font-weight: 300;*/
}

.navbar__menu_container{
    display: flex;
    gap: 20px;
}

.user__icon {
    height: 30px;
    width: 30px;
    border-radius: 100%;
    border: solid 1px white;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}

.hero__section_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: calc(60vh - 60px);
    gap: 32px;
}

.hero__section_Logo {
    width: 250px;
    height: auto;
}

.hero__section_title {
    text-align: center;
    font-size: 30px;
    font-weight: 400;
}

.hero__section_input_container {
    background: white;
    padding: 10px;
    border-radius: 10px;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
    width: 50%;  
}

.input_container_location,
.input_container_search {
    padding: 5px;
    border: none;
    outline: none;
}

.input_container_search{
    width: 70%;
}

.input_container_location{
    width: 30%;
    border-right: 2px solid #e0e0e0 ;
}

.container {
    margin: 48px auto;
    width: 80%;
}

.we__offer {
    display: flex;
    flex-wrap: wrap;
    gap: 16px; 
    align-items: center;
    justify-content: center;
}

.we__offer .card {
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid #e0e0e0 ;
    transition: all 300ms ease-out;
}

.we__offer .card img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    object-position: center;
}

.we__offer .card h2 {
    padding: 10px 10px 0px 10px;
    font-size: 15px;
    font-weight: 400;
}

.we__offer .card p {
    font-size: 13px;
    padding: 0px 10px 15px 10px;

}

.we__offer .card:hover {
    transform: scale(1.05);
}

.collections h1 {
    font-weight: 400;
}

.collections .sub__heading_container {
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 16px;
}

.sub__heading_container span:nth-child(2) {
    color: #ff738b;
    font-size: 13px;;
}

.collections_card_container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 16px;
    margin-top: 24px;
}

.collections_card_container .card {
    height: 300px;
    min-width: 240px;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    position: relative;
}

.card1 {
    background-image: url("images/collection1.jpg");
}

.card2 {
    background-image: url("images/collection2.jpg");
}

.card3 {
    background-image: url("images/collection3.jpg");
}

.card4 {
    background-image: url("images/collection4.jpg");
}

.overlay {
    background: linear-gradient(
        0deg, 
        rgba(0, 0, 0, 0.9) 0%,
        rgba(0, 0, 0, 0.05) 50%,
        rgba(0, 0, 0, 0.05) 85%
    );
    width: 100%;
    height: 100%;
    display: absolute;
    top: 0;
    left: 0;
    border-radius: 10px;
}

.collections_card_container .card .content {
    position: absolute;
    bottom: 0;
    left: 0;
    color: white;
    padding: 12px 16px;
    font-size: 14px;
}

.content h4{
    font-weight: 400;
}

.get__the_app {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(255, 251, 247);
    width: 100%;
    padding: 48px 48px;
}

.get__the_app .semiContainer {
    width: 60%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 24px;
}

.get__the_app .semiContainer .left {
    flex: 2;
}

.get__the_app .semiContainer .left img {
    width: 100%;
    object-fit: cover;
}

.get__the_app .semiContainer .right {
    flex: 3;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.right h1 {
    font-weight: 500;
    font-size: 32px;
}

.right p {
    font-size: 14px;
}

/* lec 17 35 min */

.semiContainer .right .radio__buttons_container {
    display: flex;
    align-items: center;
    gap: 16px;
}

.semiContainer .right .radio__buttons_container div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.semiContainer .right .radio__buttons_container div input {
    height: 15px;
    width: 15px;
    accent-color: rgb(239, 79, 95);
}

.semiContainer .right .input_container {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.input_container button,
.input_container input {
    padding: 10px 12px;
}

.input_container input {
    border: 1.5px solid gray;
    outline: none;
    border-radius: 5px;
    flex: auto;
}

.input_container button{
    border: none;
    background-color: rgb(239, 79, 95);
    color: white;
    border-radius: 5px;
    cursor: pointer;
}

.download__app_container h5 {
    font-weight: 400;
    color: gray;
}

.download__app_container div {
    display: flex;
    gap: 16px;
}

.download__app_container div img {
    width: 70%;
    padding-top: 8px;
}

@media only screen and (max-width: 1300px) {
    .get__the_app .semiContainer .left {
        flex: 1;
    }

    .get__the_app .semiContainer .right {
        flex: 1;
    }

    .get__the_app .semiContainer {
        width: 80%;
    }
}

@media only screen and (max-width: 900px) {
    .get__the_app {
        padding: 2rem;
    }

    .get__the_app .semiContainer {
        width: 90%;
    }
}

@media only screen and (max-width: 700px) {
    .get__the_app {
        padding: 3rem 0;
    }
    .get__the_app .semiContainer {
        width: 80%;
        flex-direction: column;
    }
}


.footer {
    width: 100%;
}

.footer_section1 {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 80%;
    margin: auto;
}

.footer_section1 img {
    width: 120px;
    height: auto;
}

.section1__buttonContainer {
    display: flex;
    gap: 16px;
}

.section1__buttonContainer button {
    padding: 5px;
    width: 90px;
    border: 1px solid gray;
    background-color: transparent;
    border-radius: 5px;
    cursor: pointer;
}

.navigation_container {
    display: grid;
    width: 80%;
    margin: auto;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr; /* repeat(5, 1fr) */
    gap: 1rem;
    padding: 48px 0;
}

.link__container {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.link__container h5 {
    font-weight: 500;
    font-size: 14px;
    margin-bottom: 5px;
    letter-spacing: 0.8px;
}

.footer__link {
    text-decoration: none;
    color: gray;
    font-size: 13px;
    font-weight: 300;
    letter-spacing: 0.5px;
}

.footer__link:hover {
    color: black;
}

.social__links_container {
    display: flex;
    gap: 0.5rem;
}

.social__links_container button {
    background-color: black;
    border: none;
    width: 25px;
    height: 25px;
    border-radius: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.social__links_container button i {
    color: white;
    font-size: 13px;
}

.footer__store_logos {
    width: 80%;
}

.footer .disclaimer {
    width: 90%;
    margin: auto;
    padding: 20px 0;
    font-size: 12px;
    color: gray;
    border-top: 1px solid gray;
}

@media only screen and (max-width: 900px) {
    .navigation_container {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media only screen and (max-width: 600px) {
    .navigation_container {
        grid-template-columns: 1fr 1fr;
    }
}

@media only screen and (max-width: 450px) {
    .navigation_container {
        grid-template-columns: 1fr;
    }

    .footer_section1 {
        flex-direction: column;
        gap: 16px;
        justify-content: flex-start;
        align-items: flex-start;
    }
}










@media only screen and (max-width: 600px) {
    .navbar__menu_container .link {
        display: none;
    }

    .user__icon{
        display: flex;
    }

    .navbar {
        padding: 16px;
    }

    .hero__section {
        min-height: 80vh;
    }

    .hero__section_input_container{
        flex-direction: column;
        background-color: transparent;
        width: 100%;
    }

    .input_container_location,
    .input_container_search {
        padding: 15px;
        border-radius: 10px;
        width: 90%;
    }

    .hero__section_container{
        height: calc(80vh - 60px);
    }

    .input_container_location{
        border-right: none;
    }
}
